<?php

/*
FreePost 0.1
Projeto da comunidade FSBOX.org / 02-11-2004
Mantedor Andr Jaccon
Consideraes iniciais:
Este sistema de documentao denominado como FreePost foi desenvolvido com base no sistema de blog B2 na verso 
RELEASE - 0.6.2.
Consideramos antes de mais nada todas as propriedades intelectuais dos desenvolvedores assim como das empresas aqui mencionadas.
O sistema de licenciamento  dado pelo mesmo modelo do B2 na verso RELEASE - 0.6.2 sob a licena Gnu Public License - G.P.L.
Os requisitos para instalao esto descriminados no documento instalar.html
A comunidade FSBOX.org no tm nenhuma responsabilidade sob o suporte assim como na segurana das informaes
vnculadas neste sistema, porm como todo aplicativo desenvolvimento em plataforma livre toda documentao assim como
patchs de correo podero ser encontradas no site do projeto http://fsbox.org/freepost.
Este projeto no  mantido sob nenhuma entidade filantrpica, nem patrocinado por qualquer empresa, sendo assim pedimos
a colaborao de novos programadores interessados em manter este projeto.
Agradecemos sua preferncia pelo Sofware Livre.

E extremamente importante que voc atualize as informaes do sistema procurando neste arquivo pelas sees:
// 0.1 INFORMACOES DO SISTEMA.
// 0.2 INFORMACOES DO BANCO.
// 0.3 OPCOES.

Qualquer dvida ou informao entre em contato pelo e-mail jaccon@gmail.com.

Obrigado.
*/

// Customizao para o FSBOX,org
$titulo = "FreePost 0.1" ;
$image_path ="./imagens" ;

// Altere as duas linhas abaixo com o logotipo favorito para o Index do sistema e para o sistema interno de busca.
$logotipo_index ="logo.gif" ;
$logotipo_engenie="engenie-logo.gif" ;

// Variaveis de imagens do sistema.
$get_image_engenie ="<img src=\"$image_path/$logotipo_engenie\" border=\"0\">" ;
$get_image_intro ="<img src=\"$image_path/$logotipo_index\" border=\"0\">" ;

// Funes de Informao
$ip= getenv("REMOTE_ADDR") ;
$navegador= getenv("HTTP_USER_AGENT") ;

// Funo de busca total de pacotes TCP/IP
$netstat=`netstat -s |grep total |awk -Ftotal '{ print $1}'` ;

// 0.1 INFORMACOES DO SISTEMA

/* oooooOOOOO Iniciando a edicao do sistema oooooooOOOOOO */

# $siteurl - e o endereco do site: por exemplo, 'http://mydomain.com'.
# $blogfilename - e o nome do arquivo default do sistema de artigos.
# $blogname - e o nome do seu sistema.
# blogdescription - Descrio do sistema

$siteurl = 'http://localhost/freepost/';
$blogfilename = 'index.php';
$blogname = "FreePost";
$blogdescription = "Descrio do projeto";

// 0.2 INFORMACOES DO BANCO

$dbname = 'freepost';			// Nome da base de dados.
$dbhost = 'localhost';			// Localizao do Banco de Dados.
$dbusername = 'root';			// Usurio do Mysql com autoridade pela base informada acima.
$dbpassword = 'sua_senha';		// Senha do usurio do Mysql.
# Obs: Voc pode ter vrios FreePost usando a mesma base de dados

# Nome das bases de dados que devero ser criadas pelo script de instalao:
$tableposts = 'b2posts';
$tableusers = 'b2users';
$tablesettings = 'b2settings';
$tablecategories = 'b2categories';
$tablecomments = 'b2comments';

# Esta variavl seta o caminho virtual do seu sistema FreePost, por padro o FreePost detecta a pasta
# do sistema pela variavl $siteurl
//  importante informar este parmetro abaixo para que o sistema de Upload funcione corretamente.

$pathserver = 'http://localhost/freepost/';

# E-mail do administrador do sistema
$admin_email = 'admin@localhost';

// 0.3 OPCOES
# Setar para adicionar novos usurio
# 0 para no
# 1 para sim

$new_users_can_blog = 1;


# Disponibilizar o registro de usurios
# 0 para no
# 1 para sim
      
$users_can_register = 1;


# Configurar para a semana comear em 0 para Domingo, 1 para segunda, etc...
$start_of_week = 1;

// ** Funo de Preview **

# Habilitar o preview das artigos 
# 0 para no
# 1 para sim

$use_preview = 1;

// ** Corretor Ortogrfico **

# Habilitar a checagem de ortografia pelo sistema * somente para lingua inglesa no momento*

$use_spellchecker = 0;


// ** Opes de formatao de texto **

$use_bbcode = 0;	// use BBCode, like [b]bold[/b]
$use_gmcode = 0;	// use GreyMatter-styles: **bold** \italic\ __underline__
$use_quicktags = 1;	// buttons for HTML tags (they won't work on IE Mac yet)

# IMPORTANT! set this to 0 if you are using Chinese, Japanese, Korean,
#                                           or other double-bytes languages
$use_htmltrans = 1;

# this could help balance your HTML code. if it gives bad results, set it to 0
$use_balanceTags = 1;

# this would convert quotes into smart/curly quotes, set it to 1 to enable it
$use_smartquotes = 0;


// ** Upload de arquivos **


# set this to 0 to disable file upload, or 1 to enable it
$use_fileupload = 1;

# enter the real path of the directory where you'll upload the pictures
#   if you're unsure about what your real path is, please ask your host's support staff
#   note that the  directory must be writable by the webserver (ChMod 766)
#   note for windows-servers users: use forwardslashes instead of backslashes
#$fileupload_realpath = '/home/your/site/b2/images';
$fileupload_realpath = '/mnt/disk1/projetos/busca/upload_files/';

# enter the URL of that directory (it's used to generate the links to the pictures)
$fileupload_url = 'http://example.com/images';

# accepted file types, you can add to that list if you want
#   note: add a space before and after each file type
#   example: $fileupload_allowedtypes = ' jpg gif png ';
$fileupload_allowedtypes = ' jpg gif png txt doc rtf pdf';

# by default, most servers limit the size of uploads to 2048 KB
#   if you want to set it to a lower value, here it is (you cannot set a higher value)
$fileupload_maxk = '100';

# you may not want all users to upload pictures/files, so you can set a minimum level for this
$fileupload_minlevel = '1';

# ...or you may authorize only some users. enter their logins here, separated by spaces
#   if you leave that variable blank, all users who have the minimum level are authorized to upload
#   note: add a space before and after each login name
#   example: $fileupload_allowedusers = ' barbara anne ';
$fileupload_allowedusers = '';



// ** RSS syndication options **

# these options are used by rdf.php (1.0), rss.php (0.92), and rss2.php (2.0)
#  note: if you don't want to syndicate your news, you can delete these files

# number of last posts to syndicate
$posts_per_rss = 10;

# the language of your blog ( see this: http://backend.userland.com/stories/storyReader$16 )
$rss_language = 'en';

# for b2rss.php: allow encoded HTML in <description> tag? 1=yes, 0=no
$rss_encoded_html = 0;

# length (in words) of excerpts in the RSS feed? 0=unlimited
#  note: in rss.php, this will be set to 0 if you use encoded HTML
$rss_excerpt_length = 50;



// ** Weblogs.com ping **

# set this to 1 if you want your site to be listed on http://weblogs.com when you add a new post
$use_weblogsping = 0;


// ** Blo.gs ping **

# set this to 1 if you want your site to be listed on http://blo.gs when you add a new post
$use_blodotgsping = 0;

# if you ping blo.gs, this is the URL that will be sent to it (enter your blog's URL):
$blodotgsping_url = 'http://example.com';



// ** Trackback / PingBack **

# set this to 0 or 1, whether you want to allow your posts to be trackback'able or not
# note: setting it to zero would also disable sending trackbacks
$use_trackback = 0;

# set this to 0 or 1, whether you want to allow your posts to be pingback'able or not
# note: setting it to zero would also disable sending pingbacks
$use_pingback = 0;



// ** Comments options **

# set this to 1 to require e-mail and name, or 0 to allow comments without e-mail/name
$require_name_email = 0;

# here is a list of the tags that are allowed in the comments.
#  you can add tags to the list, just add them in the string,
#  add only the opening tag: for example, only '<a>' instead of '<a href=""></a>'

$comment_allowed_tags = '<b><i><u><strong><em><code><blockquote><p><br><strike><a>';

# set this to 1 to let every author be notified about comments on their posts
$comments_notify = 0;



// ** Smilies options **

# set this to 1 to enable smiley conversion in posts
#     (note: this makes smiley conversion in ALL posts)
$use_smilies = 0;

# the directory where your smilies are (no trailing slash)
$smilies_directory = 'http://example.com/b2-img/smilies';

# here's the conversion table, you can modify it if you know what you're doing
$b2smiliestrans = array(
	':)'		=> 'icon_smile.gif',
	':D'		=> 'icon_biggrin.gif',
	':-D'		=> 'icon_biggrin.gif',
	':grin:'		=> 'icon_biggrin.gif',
	':)'		=> 'icon_smile.gif',
	':-)'		=> 'icon_smile.gif',
	':smile:'		=> 'icon_smile.gif',
	':('		=> 'icon_sad.gif',
	':-('		=> 'icon_sad.gif',
	':sad:'		=> 'icon_sad.gif',
	':o'		=> 'icon_surprised.gif',
	':-o'		=> 'icon_surprised.gif',
	':eek:'		=> 'icon_surprised.gif',
	'8O'		=> 'icon_eek.gif',
	'8-O'		=> 'icon_eek.gif',
	':shock:'		=> 'icon_eek.gif',
	':?'		=> 'icon_confused.gif',
	':-?'		=> 'icon_confused.gif',
	':???:'		=> 'icon_confused.gif',
	'8)'		=> 'icon_cool.gif',
	'8-)'		=> 'icon_cool.gif',
	':cool:'		=> 'icon_cool.gif',
	':lol:'		=> 'icon_lol.gif',
	':x'		=> 'icon_mad.gif',
	':-x'		=> 'icon_mad.gif',
	':mad:'		=> 'icon_mad.gif',
	':P'		=> 'icon_razz.gif',
	':-P'		=> 'icon_razz.gif',
	':razz:'		=> 'icon_razz.gif',
	':oops:'		=> 'icon_redface.gif',
	':cry:'		=> 'icon_cry.gif',
	':evil:'		=> 'icon_evil.gif',
	':twisted:'		=> 'icon_twisted.gif',
	':roll:'		=> 'icon_rolleyes.gif',
	':wink:'		=> 'icon_wink.gif',
	';)'		=> 'icon_wink.gif',
	';-)'		=> 'icon_wink.gif',
	':!:'		=> 'icon_exclaim.gif',
	':?:'		=> 'icon_question.gif',
	':idea:'		=> 'icon_idea.gif',
	':arrow:'		=> 'icon_arrow.gif',
	':|'		=> 'icon_neutral.gif',
	':-|'		=> 'icon_neutral.gif',
	':neutral:'		=> 'icon_neutral.gif',
	':mrgreen:'		=> 'icon_mrgreen.gif',
);


# the weekdays and the months.. translate them if necessary

$weekday[0]='Sunday';
$weekday[1]='Monday';
$weekday[2]='Tuesday';
$weekday[3]='Wednesday';
$weekday[4]='Thursday';
$weekday[5]='Friday';
$weekday[6]='Saturday';


# the months, translate them if necessary - note: this isn't active everywhere yet
$month['01']='January';
$month['02']='February';
$month['03']='March';
$month['04']='April';
$month['05']='May';
$month['06']='June';
$month['07']='July';
$month['08']='August';
$month['09']='September';
$month['10']='October';
$month['11']='November';
$month['12']='December';



# $b2inc is where the included b2 files are: that's generally the directory b2-include,
#  so you shouldn't have to change that setting
$b2inc = './includes';


// ** Querystring Configuration ** (don't change if you don't know what you're doing)

$querystring_start = '?';
$querystring_equal = '=';
$querystring_separator = '&amp;';




// ** Configuration for b2mail.php ** (skip this if you don't intend to blog via email)

# mailserver settings
$mailserver_url = 'mail.example.com';
$mailserver_login = 'login@example.com';
$mailserver_pass = 'password';
$mailserver_port = 110;

# by default posts will have this category
$default_category = 1;

# subject prefix
$subjectprefix = 'blog:';

# body terminator string (starting from this string, everything will be ignored, including this string)
$bodyterminator = "___";

# set this to 1 to run in test mode
$thisisforfunonly = 0;


### Special Configuration for some phone email services

# some mobile phone email services will send identical subject & content on the same line
# if you use such a service, set $use_phoneemail to 1, and indicate a separator string
# when you compose your message, you'll type your subject then the separator string
# then you type your login:password, then the separator, then content

$use_phoneemail = 0;
$phoneemail_separator = ':::';





/* Stop editing */


$HTTP_HOST=getenv('HTTP_HOST');  /* domain name */
$REMOTE_ADDR=getenv('REMOTE_ADDR'); /* visitor's IP */
$HTTP_USER_AGENT=getenv('HTTP_USER_AGENT'); /* visitor's browser */

$server = $dbhost;
$loginsql = $dbusername;
$passsql = $dbpassword;
$path = $pathserver;
$base = $dbname;

?>
